Package org.eclipse.birt.report.engine.layout.emitter

# Class Image

java.lang.Object
org.eclipse.birt.report.engine.layout.emitter.Image

public class Image extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`FORMAT_BMP`
`static final int`
`FORMAT_GIF`
`static final int`
`FORMAT_JPEG`
`static final int`
`FORMAT_PNG`

## Constructor Summary

Constructors
Constructor
Description
`Image()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`check()`
`int`
`getBitsPerPixel()`
`byte[]`
`getData()`
`int`
`getFormat()`
`String`
`getFormatName()`
`int`
`getHeight()`
`String`
`getMimeType()`
`int`
`getPhysicalHeightDpi()`
`float`
`getPhysicalHeightInch()`
`int`
`getPhysicalWidthDpi()`
`float`
`getPhysicalWidthInch()`
`int`
`getWidth()`
`void`
`setData(byte[] data)`
`void`
`setInput(byte[] data)`
`void`
`setInput(DataInput din)`
`void`
`setInput(InputStream in)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### FORMAT_JPEG

public static final int FORMAT_JPEG

See Also:
  - Constant Field Values

### FORMAT_GIF

public static final int FORMAT_GIF

See Also:
  - Constant Field Values

### FORMAT_PNG

public static final int FORMAT_PNG

See Also:
  - Constant Field Values

### FORMAT_BMP

public static final int FORMAT_BMP

See Also:
  - Constant Field Values

## Constructor Details

### Image

public Image()

## Method Details

### setData

public void setData(byte[] data)

### check

public boolean check()

### getBitsPerPixel

public int getBitsPerPixel()

### getFormat

public int getFormat()

### getFormatName

public String getFormatName()

### getHeight

public int getHeight()

### getMimeType

public String getMimeType()

### getPhysicalHeightDpi

public int getPhysicalHeightDpi()

### getPhysicalHeightInch

public float getPhysicalHeightInch()

### getPhysicalWidthDpi

public int getPhysicalWidthDpi()

### getPhysicalWidthInch

public float getPhysicalWidthInch()

### getData

public byte[] getData()

### getWidth

public int getWidth()

### setInput

public void setInput(DataInput din)

### setInput

public void setInput(byte[] data)

### setInput

public void setInput(InputStream in)